import argparse
from .main_qt import run_gui

def main():
    parser = argparse.ArgumentParser(description="Please input two files: mocap data and xml MuJoCo model.")
    parser.add_argument('file1', type=str, help="Include the path of your mocap file in .h5/json/csv format")
    parser.add_argument("file2", type=str, help="Include MuJoCo virtual body model file in xml format")
    parser.add_argument('-v', '--verbose', action='store_true', help='Increase output verbosity.')

    args = parser.parse_args()

    if args.verbose:
        print('Files uploaded successfully. Parsing has commenced.....')

    print(f"\nInput files were:\n\nMotion Capture Data File Path: {args.file1}\nVirtual Body Model: {args.file2}\n")
    print("Launching GUI.....")

    run_gui(args.file1, args.file2)